# Building App for iOS

{% hint style="success" %}
You can review the [App Store Connect](https://developer.apple.com/videos/play/app-store-connect/105/) tutorial for a more detailed overview.
{% endhint %}

**Watch the video tutorial showing the steps of how to build iOS app on macOS.**

Or follow the instructions and steps presented in this manual.

**Please note that for building an iOS app you need to go through these steps first:**

**1.** [**Flutter Setup for the macOS system** ](https://support.stylemixthemes.com/manuals/masterstudy-app/#flutter-setup-for-the-macos-system)\
**2.** [**Android Studio Setup on mac**](https://support.stylemixthemes.com/manuals/masterstudy-app/#android-studio-setup-on-mac)\
**3.**[ **Installing Flutter Packages on mac**](https://support.stylemixthemes.com/manuals/masterstudy-app/#installing-flutter-packages-on-mac)\
**4.** [**Setting the Site URL on mac**](https://support.stylemixthemes.com/manuals/masterstudy-app/#setting-the-site-url-on-mac)

These steps are required for the proper installation of Flutter packages and smooth further work.

Launch Xcode and open the file **Runner.xcworkspace** which is located in the **ios** folder.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/mac10.jpg)

Go to **File > Runner** and enter the **Version** and **Build** in the specified fields.

In the **Display Name** enter the **name of the app.**

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/mac11.jpg)

## Add your App Icon

You can add icons to your app in the App Icons and Launch Images section of the Xcode General panel. To add icons click on the arrow icon and open the asset catalog

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/icon%201%201.PNG)

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/icon%202%202.PNG)

> Tip: Follow the [Human Interface Guidelines](https://developer.apple.com/design/human-interface-guidelines/ios/icons-and-images/app-icon/) when creating the app icon. You can use the [App Icon Generator](https://makeappicon.com/) tool.

In the Finder, drag variations of your app icon to the wells in the detail area match their resolutions

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/icon%203%2031.PNG)

Alternatively, select the asset catalog containing your app icon set in the [Project navigator](https://help.apple.com/xcode/mac/current/#/dev7d7220fbb) and drag variations to the wells.

Finally, review the icon set has been applied by running your app using Xcode device simulator

> Tip: For a detailed overview of using simulator, see the [Run your app in Simulator from Xcode](https://help.apple.com/xcode/mac/current/#/dev2809b6cff).

After that, click **Product > Archive** and wait while the runner is archiving.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/mac12.jpg)

When the process is finished, in the popup window click Distribute App.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/distribute_app.png)

Select upload option to **Send app to App Store Connect**.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/send_app_store.png)

Next, select profile and continue. Once the process is finished, click on **Upload**.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/upload.png)

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/connect_distribution.png)

After that, select the option Manually manage signing.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/manually_manage.png)

The select Profile.

!\[]\(<https://support.stylemixthemes.com/storage/stm-manuals/June2020/select_profile> (2).png)

Next, click on the Upload.

!\[]\([https://support.stylemixthemes.com/storage/stm-manuals/June2020/finish (2).png](https://support.stylemixthemes.com/storage/stm-manuals/June2020/finish%20\(2\).png))

The uploading process will start, wait until it is finished.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/upload_app.png)

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/done.png)

Archive upload successfully completed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stylemixthemes.com/masterstudy-app-documentation/ios-app-build/building-app-for-ios.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
